package com.ruoyi.project.ticket.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.ticket.domain.TTicketId;

/**
 * 作业票编号Mapper接口
 * 
 * @author ruoyi
 * @date 2022-01-10
 */
public interface TTicketIdMapper 
{
    /**
     * 查询作业票编号
     * 
     * @param id 作业票编号ID
     * @return 作业票编号
     */
    public TTicketId selectTTicketIdById(Long id);

    /**
     * 查询作业票编号列表
     * 
     * @param tTicketId 作业票编号
     * @return 作业票编号集合
     */
    @DataScope(deptAlias = "d")
    public List<TTicketId> selectTTicketIdList(TTicketId tTicketId);

    /**
     * 新增作业票编号
     * 
     * @param tTicketId 作业票编号
     * @return 结果
     */
    public int insertTTicketId(TTicketId tTicketId);

    /**
     * 修改作业票编号
     * 
     * @param tTicketId 作业票编号
     * @return 结果
     */
    public int updateTTicketId(TTicketId tTicketId);

    /**
     * 删除作业票编号
     * 
     * @param id 作业票编号ID
     * @return 结果
     */
    public int deleteTTicketIdById(Long id);

    /**
     * 批量删除作业票编号
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTicketIdByIds(Long[] ids);
}
